Bug 961541 - Spurious Gnome dependencies pull in deprecated Gnome 2 libs
Spurious Gnome dependencies pull in deprecated Gnome 2 libs
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: deluge (Show other bugs)
18
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Rahul Sundaram
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-09 17:15 EDT by Ananda Samaddar
Modified: 2013-05-14 00:47 EDT (History)
2 users (show)

See Also:
Fixed In Version: deluge-1.3.6-2.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-14 00:47:15 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ananda Samaddar 2013-05-09 17:15:08 EDT
Description of problem: When installing Deluge gnome-python2 brings in a lot of unneeded dependencies.


Version-Release number of selected component (if applicable): 1.3.6-1.fc18


How reproducible: yum install deluge


Steps to Reproduce:
1. Install deluge from the command line
2. Observe required dependencies
3.
  
Actual results: gnome-python2, gnome-python2-bonobo, gnome-python2-canvas, gnome-python2-gnome, gnome-python2-gnomevfs as dependencies.  This brings in things like libbonobo and a whole load of other stuff.


Expected results: No expected Gnome dependencies.


Additional info: Deluge is cross platform and runs on Windows.  This should further suggest that Gnome python libs are unneeded.
Comment 1 Rahul Sundaram 2013-05-09 18:07:23 EDT
Deluge uses these GNOME libraries on Linux and other libraries on other platforms.   Deluge itself is a meta package.  deluge-gtk is the actual package that has the following direct dependencies

Requires:   gnome-python2-gnome
Requires:   hicolor-icon-theme
Requires:   notify-python
Requires:   pygtk2-libglade

Which of these do you believe is unnecessary?
Comment 2 Ananda Samaddar 2013-05-09 18:24:59 EDT
It is gnome-python2-gnome that I believe is unnecessary.  If you try installing that particular package it brings in a lot of dependencies as part of the yum output shows:

Dependencies Resolved

================================================================================
 Package                     Arch        Version             Repository    Size
================================================================================
Installing:
 gnome-python2-gnome         x86_64      2.28.1-9.fc18       fedora        81 k
Installing for dependencies:
 ORBit2                      x86_64      2.14.19-6.fc18      fedora       172 k
 gnome-python2               x86_64      2.28.1-9.fc18       fedora        46 k
 gnome-python2-bonobo        x86_64      2.28.1-9.fc18       fedora        86 k
 gnome-python2-canvas        x86_64      2.28.1-9.fc18       fedora        33 k
 gnome-python2-gnomevfs      x86_64      2.28.1-9.fc18       fedora        84 k
 gnome-vfs2                  x86_64      2.24.4-10.fc18      updates      833 k
 libart_lgpl                 x86_64      2.3.21-4.fc18       fedora        65 k
 libbonobo                   x86_64      2.32.1-3.fc18       fedora       433 k
 libbonoboui                 x86_64      2.24.5-4.fc18       fedora       341 k
 libgnome                    x86_64      2.32.1-5.fc18       fedora       740 k
 libgnomecanvas              x86_64      2.30.3-5.fc18       fedora       226 k
 libgnomeui                  x86_64      2.24.5-5.fc18       fedora       789 k
 pyorbit                     x86_64      2.24.0-11.fc18      fedora        50 k

Transaction Summary
================================================================================
Install  1 Package (+13 Dependent packages)

Deluge to the best of my knowledge is a pure GTK application and doesn't have Gnome dependencies.
Comment 3 Ananda Samaddar 2013-05-09 18:29:26 EDT
The gnome-python2-gnome dependency should be replaced with pygtk2 I believe.
Comment 4 Rahul Sundaram 2013-05-09 21:36:27 EDT
I have reviewed the list of dependencies and added/removed some as per latest upstream requirements.  Will be pushing out a build that fixes this problem shortly. Do test and provide feedback
Comment 5 Fedora Update System 2013-05-09 21:48:06 EDT
deluge-1.3.6-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/deluge-1.3.6-2.fc19
Comment 6 Fedora Update System 2013-05-10 11:29:31 EDT
Package deluge-1.3.6-2.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing deluge-1.3.6-2.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-7832/deluge-1.3.6-2.fc19
then log in and leave karma (feedback).
Comment 7 Ananda Samaddar 2013-05-13 15:39:14 EDT
Unfortunately I cannot test this as I'm running Fedora 18 and the update is for 19.  Could you also push an update to 18?

Thanks
Comment 8 Rahul Sundaram 2013-05-13 17:01:37 EDT
There is an update for Fedora 18 as well for several days now

https://admin.fedoraproject.org/updates/FEDORA-2013-7878/deluge-1.3.6-2.fc18
Comment 9 Fedora Update System 2013-05-14 00:47:15 EDT
deluge-1.3.6-2.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.